# Class MatrixPlot2Task

java.lang.Object
uk.ac.starlink.ttools.plot2.task.AbstractPlot2Task
uk.ac.starlink.ttools.plot2.task.TypedPlot2Task<PlaneSurfaceFactory.Profile, PlaneAspect>
uk.ac.starlink.ttools.plot2.task.MatrixPlot2Task

All Implemented Interfaces:
  `uk.ac.starlink.task.Task, DynamicTask`

public class MatrixPlot2Task extends TypedPlot2Task<PlaneSurfaceFactory.Profile, PlaneAspect>
Plot task for matrix plot.

Since:
  22 Aug 2023
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class AbstractPlot2Task

`DOC_ZONE_SUFFIX, DOMAINMAPPER_SUFFIX, EXAMPLE_LAYER_SUFFIX, EXAMPLE_ZONE_SUFFIX, LAYER_PREFIX, ZONE_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`MatrixPlot2Task()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected <P,A> PlotConfiguration<P,A>`
`createPlotConfiguration(uk.ac.starlink.task.Environment env, PlotContext<P,A> context)`
The implementation of this method simply adapts the `createPlanePlotConfiguration(Environment, PlotContext)` method to the required signature.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
`String`
`getPurpose()`

### Methods inherited from class TypedPlot2Task

`createDefaultPlotContext, getConfigParamDefault, getPlotContext, getPlotContext, getPlotType`

### Methods inherited from class AbstractPlot2Task

`createAuxCrowdParameter, createAuxLabelParameter, createAuxVisibleParameter, createAuxWidthParameter, createBasicConfigMap, createCaptioner, createConfigMap, createCustomConfigMap, createDataParameter, createDomainMapperParameter, createExecutable, createFilterParameter, createLabelParameter, createLayerSuffixedConfigMap, createLayerTypeParameter, createLegend, createLegendPositionParameter, createPaintModeParameter, createPlotComponent, createPlotIcon, createPlotIcon, createShadeAxisFactory, createTableParameter, createTitleParameter, createZoneParameter, getBasicParameters, getBitmapParameter, getCompositorParameter, getContextParameters, getCoordValue, getDataStoreParameter, getInputTable, getLegendBorderParameter, getLegendOpaqueParameter, getLegendParameter, getLegendSequenceParameter, getPaddingParameter, getParameterByName, getPlotters, getSequenceParameter, getXpixParameter, getYpixParameter, getZoneKeyParams, hasDomainMappers, hasZoneSuffixes, testEnv`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatrixPlot2Task

public MatrixPlot2Task()
Constructor.

## Method Details

### getPurpose

public String getPurpose()

Specified by:
  `getPurpose` in interface `uk.ac.starlink.task.Task`
Overrides:
  `getPurpose` in class `TypedPlot2Task<PlaneSurfaceFactory.Profile, PlaneAspect>`

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()

Specified by:
  `getParameters` in interface `uk.ac.starlink.task.Task`
Overrides:
  `getParameters` in class `TypedPlot2Task<PlaneSurfaceFactory.Profile, PlaneAspect>`

### createPlotConfiguration

protected <P,A> PlotConfiguration<P,A> createPlotConfiguration(uk.ac.starlink.task.Environment env, PlotContext<P,A> context) throws uk.ac.starlink.task.TaskException
The implementation of this method simply adapts the `createPlanePlotConfiguration(Environment, PlotContext)` method to the required signature.

Overrides:
  `createPlotConfiguration` in class `AbstractPlot2Task`
Parameters:
  `env` - execution environment
  `context` - plot context
Returns:
  plot configuration
Throws:
  `uk.ac.starlink.task.TaskException`